# DataExchange
TKSTEPBase
StepShape

# StepShape_BooleanResult Class Reference

`#include <StepShape_BooleanResult.hxx>`

Inheritance diagram for StepShape_BooleanResult:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_BooleanResult ()
| Returns a BooleanResult .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepShape_BooleanOperator aOperator, const StepShape_BooleanOperand &aFirstOperand, const StepShape_BooleanOperand &aSecondOperand)
Standard_EXPORT void | SetOperator (const StepShape_BooleanOperator aOperator)
Standard_EXPORT StepShape_BooleanOperator | Operator () const
Standard_EXPORT void | SetFirstOperand (const StepShape_BooleanOperand &aFirstOperand)
Standard_EXPORT StepShape_BooleanOperand | FirstOperand () const
Standard_EXPORT void | SetSecondOperand (const StepShape_BooleanOperand &aSecondOperand)
Standard_EXPORT StepShape_BooleanOperand | SecondOperand () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_BooleanOperator | anOperator
StepShape_BooleanOperand | firstOperand
StepShape_BooleanOperand | secondOperand

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_BooleanResult::StepShape_BooleanResult | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepShape_BooleanOperand StepShape_BooleanResult::FirstOperand | ( |  | ) | const

Standard_EXPORT const StepShape_BooleanResult::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

virtual Standard_EXPORT void StepShape_BooleanResult::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepShape_BooleanOperator | aOperator,
|  | const StepShape_BooleanOperand & | aFirstOperand,
|  | const StepShape_BooleanOperand & | aSecondOperand
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_BooleanResult::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT StepShape_BooleanOperator StepShape_BooleanResult::Operator | ( |  | ) | const

Standard_EXPORT StepShape_BooleanOperand StepShape_BooleanResult::SecondOperand | ( |  | ) | const

Standard_EXPORT void StepShape_BooleanResult::SetFirstOperand | ( | const StepShape_BooleanOperand & | aFirstOperand | ) |

Standard_EXPORT void StepShape_BooleanResult::SetOperator | ( | const StepShape_BooleanOperator | aOperator | ) |

Standard_EXPORT void StepShape_BooleanResult::SetSecondOperand | ( | const StepShape_BooleanOperand & | aSecondOperand | ) |

## Field Documentation

StepShape_BooleanOperator StepShape_BooleanResult::anOperator `[private]`

StepShape_BooleanOperand StepShape_BooleanResult::firstOperand `[private]`

StepShape_BooleanOperand StepShape_BooleanResult::secondOperand `[private]`

The documentation for this class was generated from the following file:

- StepShape_BooleanResult.hxx